Meltdown and Spectre Vulnerability awareness, Update 2 February

Fri, 2 February 18


What is happening:

A design flaw has been detected in Intel, AMD & ARM processors which become public in early January.  These flaws are commonly being referred to as the “Spectre” and “Meltdown” issues.

To ensure that you have the necessary security patches applied, Dell have advised all customers to review their Spectre & Meltdown support page here. To protect your information, please make sure that your machine has the latest security patches applied, including firmware and application patches.

IT Services are monitoring the situation and will publish further updates here when available. Please contact the IT Helpdesk (ithelpdesk@ucd.ie) if you require assistance.